Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Protected Attributes
Lucene::NormsWriter Class Reference

Writes norms. Each thread X field accumulates the norms for the doc/fields it saw, then the flush method below merges all of these together into a single _X.nrm file. More...

`#include <NormsWriter.h>`

Inheritance diagram for Lucene::NormsWriter:

## Public Member Functions

| NormsWriter ()
virtual | ~NormsWriter ()
virtual String | getClassName ()
boost::shared_ptr< NormsWriter > | shared_from_this ()
virtual InvertedDocEndConsumerPerThreadPtr | addThread (const DocInverterPerThreadPtr &docInverterPerThread)
virtual void | abort ()
virtual void | files (HashSet< String > files)
virtual void | setFieldInfos (const FieldInfosPtr &fieldInfos)
virtual void | flush (MapInvertedDocEndConsumerPerThreadCollectionInvertedDocEndConsumerPerField threadsAndFields, const SegmentWriteStatePtr &state)
| Produce _X.nrm if any document had a field with norms not disabled.
virtual void | closeDocStore (const SegmentWriteStatePtr &state)
Public Member Functions inherited from Lucene::InvertedDocEndConsumer
virtual | ~InvertedDocEndConsumer ()
boost::shared_ptr< InvertedDocEndConsumer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::InvertedDocEndConsumer
static String | _getClassName ()

## Static Protected Member Functions

static uint8_t | getDefaultNorm ()

## Protected Attributes

FieldInfosPtr | fieldInfos
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Writes norms. Each thread X field accumulates the norms for the doc/fields it saw, then the flush method below merges all of these together into a single _X.nrm file.

## Constructor & Destructor Documentation

## ◆ NormsWriter()

Lucene::NormsWriter::NormsWriter | ( |  | ) |

## ◆ ~NormsWriter()

virtual Lucene::NormsWriter::~NormsWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::NormsWriter::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::NormsWriter::abort | ( |  | ) |

virtual

Implements Lucene::InvertedDocEndConsumer.

## ◆ addThread()

virtual InvertedDocEndConsumerPerThreadPtr Lucene::NormsWriter::addThread | ( | const DocInverterPerThreadPtr & | docInverterPerThread | ) |

virtual

Implements Lucene::InvertedDocEndConsumer.

## ◆ closeDocStore()

virtual void Lucene::NormsWriter::closeDocStore | ( | const SegmentWriteStatePtr & | state | ) |

virtual

Implements Lucene::InvertedDocEndConsumer.

## ◆ files()

virtual void Lucene::NormsWriter::files | ( | HashSet< String > | files | ) |

virtual

## ◆ flush()

virtual void Lucene::NormsWriter::flush | ( | MapInvertedDocEndConsumerPerThreadCollectionInvertedDocEndConsumerPerField | threadsAndFields,
|  | const SegmentWriteStatePtr & | state
| ) |  |

virtual

Produce _X.nrm if any document had a field with norms not disabled.

Implements Lucene::InvertedDocEndConsumer.

## ◆ getClassName()

virtual String Lucene::NormsWriter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::InvertedDocEndConsumer.

## ◆ getDefaultNorm()

static uint8_t Lucene::NormsWriter::getDefaultNorm | ( |  | ) |

static protected

## ◆ setFieldInfos()

virtual void Lucene::NormsWriter::setFieldInfos | ( | const FieldInfosPtr & | fieldInfos | ) |

virtual

Implements Lucene::InvertedDocEndConsumer.

## ◆ shared_from_this()

boost::shared_ptr< NormsWriter > Lucene::NormsWriter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ fieldInfos

FieldInfosPtr Lucene::NormsWriter::fieldInfos

protected

The documentation for this class was generated from the following file:

- NormsWriter.h

clucene.sourceforge.net